BITMAP_SCNPRINTF(9)

NAME
bitmap_scnprintf - convert bitmap to an ASCII hex string.

SYNOPSIS

int bitmap_scnprintf(char * buf, unsigned int buflen, const unsigned long * maskp, int nmaskbits);

ARGUMENTS

buf
    byte buffer into which string is placed

buflen
    reserved size of buf, in bytes

maskp
    pointer to bitmap to convert

nmaskbits
    size of bitmap, in bits

DESCRIPTION

Exactly nmaskbits bits are displayed. Hex digits are grouped into comma-separated sets of eight digits per set. Returns the number of characters which were written to *buf, excluding the trailing \0.

COPYRIGHT